#!/bin/bash
###########################################################################
# Eole NG - 2008  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# virt_gen-config [txt]
#  
# Lancer le programme de saisie des parametres de configuration
#       
###########################################################################

. ParseDico
if [ "$eole_module" = "eolevz" ]; then
	interfaceip='venet0:0'
else
	interfaceip='eth0'
fi
ip=`vzctl exec $distrib ip -4 addr show dev $interfaceip 2> /dev/null| grep $interfaceip | egrep '^ *inet' | sed -e 's/ *inet //' -e 's/\/.*//'`
[ ! $ip ] && echo "Aucune IP configuré pour le module $distrib. Taper 'virt_ctrl list' pour connaitre le nom des serveurs virtuels." && exit 1

check=`tcpcheck 5 $ip:22`
if [ ! "$check" = "$ip:22 is alive" ]
then
        echo "Le serveur $distrib n'est pas joignable"
        exit
fi

/usr/bin/ssh -t root@$ip $COMMANDNAME $OPTIONS
